PamCut: CaloIonCut Class Reference

# CaloIonCut Class Reference

The calorimeter ionization cut. More...

`#include <CaloIonCut.h>`

Inheritance diagram for CaloIonCut:

List of all members.

## Public Member Functions
| CaloIonCut (const char *cutName, CaloAxis *xCaloAxis, CaloAxis *yCaloAxis, float minRelease=0., float maxRelease=3.)
| Constructor.
| ~CaloIonCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The calorimeter ionization check.
## Private Attributes
CaloAxis * | _xCaloAxis
CaloAxis * | _yCaloAxis
float | _minRelease
float | _maxRelease

## Detailed Description

The calorimeter ionization cut.

Checks the energy release on the first calorimeter plane. The current implementation uses the CaloAxis objects; to save computing time, the class assumes that the track is externally computed for each event and stored in CaloAxis objects; pointers to these objects are passed as arguments to the constructor. The Check method will then ignore the PamLevel2 *event and assume that the current content of the CaloAxis objects are relative to the current event. It is an user's task to ensure that these assumptions are fulfilled every time Check or ApplyCut are called.

CUT DEPENDENCIES: CaloTrackCut for the existence of the track (it can also provide the CaloAxis objects).

Definition at line 30 of file CaloIonCut.h.

## Constructor & Destructor Documentation

CaloIonCut::CaloIonCut | ( | const char * | cutName,
|  | CaloAxis * | xCaloAxis,
|  | CaloAxis * | yCaloAxis,
|  | float | minRelease = `0.`,
|  | float | maxRelease = `3.` |
| ) |  |  | `[inline]`

Constructor.

The CaloAxis arguments are objects which contain the calorimeter track information for current event.

Parameters:

  | cutName | The cut's name.
  | xCaloAxis | The pointer to the CaloAxis object for X axis.
  | yCaloAxis | The pointer to the CaloAxis object for Y axis.
  | maxRelease | The maximum mean ionization (in MIP) in the tracker planes above which an event is discarded. Default: 3.
  | minRelease | The minimum mean ionization (in MIP) in the tracker planes below which an event is discarded. Default: 0.

Definition at line 44 of file CaloIonCut.h.

CaloIonCut::~CaloIonCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 49 of file CaloIonCut.h.

## Member Function Documentation

int CaloIonCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The calorimeter ionization check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if charge released in plane 0 (from CaloAxis) is greater than minRelease and lesser than maxRelease, for both X and Y

  0 otherwise

Implements PamCut.

Definition at line 12 of file CaloIonCut.cpp.

References _maxRelease, _minRelease, _xCaloAxis, _yCaloAxis, CUTOK, and CaloAxis::GetQ().

## Member Data Documentation

float CaloIonCut::_maxRelease`[private]`

Definition at line 62 of file CaloIonCut.h.

Referenced by Check().

float CaloIonCut::_minRelease`[private]`

Definition at line 62 of file CaloIonCut.h.

Referenced by Check().

CaloAxis* CaloIonCut::_xCaloAxis`[private]`

Definition at line 61 of file CaloIonCut.h.

Referenced by Check().

CaloAxis * CaloIonCut::_yCaloAxis`[private]`

Definition at line 61 of file CaloIonCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloIonCut/CaloIonCut.h
- CaloCuts/CaloIonCut/CaloIonCut.cpp